/*
 * Copyright (C) 2010 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.speech;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public class SpeechRecognizer {

SpeechRecognizer() { throw new RuntimeException("Stub!"); }

public static boolean isRecognitionAvailable(@android.annotation.NonNull android.content.Context context) { throw new RuntimeException("Stub!"); }

public static boolean isOnDeviceRecognitionAvailable(@android.annotation.NonNull android.content.Context context) { throw new RuntimeException("Stub!"); }

public static android.speech.SpeechRecognizer createSpeechRecognizer(android.content.Context context) { throw new RuntimeException("Stub!"); }

public static android.speech.SpeechRecognizer createSpeechRecognizer(android.content.Context context, android.content.ComponentName serviceComponent) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public static android.speech.SpeechRecognizer createOnDeviceSpeechRecognizer(@android.annotation.NonNull android.content.Context context) { throw new RuntimeException("Stub!"); }

public void setRecognitionListener(android.speech.RecognitionListener listener) { throw new RuntimeException("Stub!"); }

public void startListening(android.content.Intent recognizerIntent) { throw new RuntimeException("Stub!"); }

public void stopListening() { throw new RuntimeException("Stub!"); }

public void cancel() { throw new RuntimeException("Stub!"); }

public void checkRecognitionSupport(@android.annotation.NonNull android.content.Intent recognizerIntent, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.speech.RecognitionSupportCallback supportListener) { throw new RuntimeException("Stub!"); }

public void triggerModelDownload(@android.annotation.NonNull android.content.Intent recognizerIntent) { throw new RuntimeException("Stub!"); }

public void triggerModelDownload(@android.annotation.NonNull android.content.Intent recognizerIntent, @android.annotation.NonNull java.util.concurrent.Executor executor, @android.annotation.NonNull android.speech.ModelDownloadListener listener) { throw new RuntimeException("Stub!"); }

public void destroy() { throw new RuntimeException("Stub!"); }

public static final java.lang.String CONFIDENCE_SCORES = "confidence_scores";

public static final java.lang.String DETECTED_LANGUAGE = "detected_language";

public static final int ERROR_AUDIO = 3; // 0x3

public static final int ERROR_CANNOT_CHECK_SUPPORT = 14; // 0xe

public static final int ERROR_CANNOT_LISTEN_TO_DOWNLOAD_EVENTS = 15; // 0xf

public static final int ERROR_CLIENT = 5; // 0x5

public static final int ERROR_INSUFFICIENT_PERMISSIONS = 9; // 0x9

public static final int ERROR_LANGUAGE_NOT_SUPPORTED = 12; // 0xc

public static final int ERROR_LANGUAGE_UNAVAILABLE = 13; // 0xd

public static final int ERROR_NETWORK = 2; // 0x2

public static final int ERROR_NETWORK_TIMEOUT = 1; // 0x1

public static final int ERROR_NO_MATCH = 7; // 0x7

public static final int ERROR_RECOGNIZER_BUSY = 8; // 0x8

public static final int ERROR_SERVER = 4; // 0x4

public static final int ERROR_SERVER_DISCONNECTED = 11; // 0xb

public static final int ERROR_SPEECH_TIMEOUT = 6; // 0x6

public static final int ERROR_TOO_MANY_REQUESTS = 10; // 0xa

public static final java.lang.String LANGUAGE_DETECTION_CONFIDENCE_LEVEL = "language_detection_confidence_level";

public static final int LANGUAGE_DETECTION_CONFIDENCE_LEVEL_CONFIDENT = 2; // 0x2

public static final int LANGUAGE_DETECTION_CONFIDENCE_LEVEL_HIGHLY_CONFIDENT = 3; // 0x3

public static final int LANGUAGE_DETECTION_CONFIDENCE_LEVEL_NOT_CONFIDENT = 1; // 0x1

public static final int LANGUAGE_DETECTION_CONFIDENCE_LEVEL_UNKNOWN = 0; // 0x0

public static final java.lang.String LANGUAGE_SWITCH_RESULT = "language_switch_result";

public static final int LANGUAGE_SWITCH_RESULT_FAILED = 2; // 0x2

public static final int LANGUAGE_SWITCH_RESULT_NOT_ATTEMPTED = 0; // 0x0

public static final int LANGUAGE_SWITCH_RESULT_SKIPPED_NO_MODEL = 3; // 0x3

public static final int LANGUAGE_SWITCH_RESULT_SUCCEEDED = 1; // 0x1

public static final java.lang.String RECOGNITION_PARTS = "recognition_parts";

public static final java.lang.String RESULTS_ALTERNATIVES = "results_alternatives";

public static final java.lang.String RESULTS_RECOGNITION = "results_recognition";

public static final java.lang.String TOP_LOCALE_ALTERNATIVES = "top_locale_alternatives";
}

