/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.view.inputmethod;

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class TextAppearanceInfo implements android.os.Parcelable {

TextAppearanceInfo() { throw new RuntimeException("Stub!"); }

public int describeContents() { throw new RuntimeException("Stub!"); }

public void writeToParcel(@android.annotation.NonNull android.os.Parcel dest, int flags) { throw new RuntimeException("Stub!"); }

public float getTextSize() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.os.LocaleList getTextLocales() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getSystemFontFamilyName() { throw new RuntimeException("Stub!"); }

public int getTextFontWeight() { throw new RuntimeException("Stub!"); }

public int getTextStyle() { throw new RuntimeException("Stub!"); }

public boolean isAllCaps() { throw new RuntimeException("Stub!"); }

public float getShadowDx() { throw new RuntimeException("Stub!"); }

public float getShadowDy() { throw new RuntimeException("Stub!"); }

public float getShadowRadius() { throw new RuntimeException("Stub!"); }

public int getShadowColor() { throw new RuntimeException("Stub!"); }

public boolean isElegantTextHeight() { throw new RuntimeException("Stub!"); }

public boolean isFallbackLineSpacing() { throw new RuntimeException("Stub!"); }

public float getLetterSpacing() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getFontFeatureSettings() { throw new RuntimeException("Stub!"); }

@android.annotation.Nullable
public java.lang.String getFontVariationSettings() { throw new RuntimeException("Stub!"); }

public int getLineBreakStyle() { throw new RuntimeException("Stub!"); }

public int getLineBreakWordStyle() { throw new RuntimeException("Stub!"); }

public float getTextScaleX() { throw new RuntimeException("Stub!"); }

public int getHighlightTextColor() { throw new RuntimeException("Stub!"); }

public int getTextColor() { throw new RuntimeException("Stub!"); }

public int getHintTextColor() { throw new RuntimeException("Stub!"); }

public int getLinkTextColor() { throw new RuntimeException("Stub!"); }

public boolean equals(java.lang.Object o) { throw new RuntimeException("Stub!"); }

public int hashCode() { throw new RuntimeException("Stub!"); }

public java.lang.String toString() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull public static final android.os.Parcelable.Creator<android.view.inputmethod.TextAppearanceInfo> CREATOR;
static { CREATOR = null; }
@SuppressWarnings({"unchecked", "deprecation", "all"})
public static final class Builder {

public Builder() { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setTextSize(float textSize) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setTextLocales(@android.annotation.NonNull android.os.LocaleList textLocales) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setSystemFontFamilyName(@android.annotation.Nullable java.lang.String systemFontFamilyName) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setTextFontWeight(int textFontWeight) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setTextStyle(int textStyle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setAllCaps(boolean allCaps) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setShadowDx(float shadowDx) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setShadowDy(float shadowDy) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setShadowRadius(float shadowRadius) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setShadowColor(int shadowColor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setElegantTextHeight(boolean elegantTextHeight) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setFallbackLineSpacing(boolean fallbackLineSpacing) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setLetterSpacing(float letterSpacing) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setFontFeatureSettings(@android.annotation.Nullable java.lang.String fontFeatureSettings) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setFontVariationSettings(@android.annotation.Nullable java.lang.String fontVariationSettings) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setLineBreakStyle(int lineBreakStyle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setLineBreakWordStyle(int lineBreakWordStyle) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setTextScaleX(float textScaleX) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setHighlightTextColor(int highlightTextColor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setTextColor(int textColor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setHintTextColor(int hintTextColor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo.Builder setLinkTextColor(int linkTextColor) { throw new RuntimeException("Stub!"); }

@android.annotation.NonNull
public android.view.inputmethod.TextAppearanceInfo build() { throw new RuntimeException("Stub!"); }
}

}

